package sprzedaz.strumieniowo;

import java.util.List;

public class P1_WypiszWybranePola_v2 {

    public static void main(String[] args) {
        List<Transakcja> transakcje = ObslugaCSV.wczytaj("sprzedaz.csv");
        
        transakcje.stream()
                .map(tr -> String.format("W mieście %s sprzedano %d sztuk towaru %s",
                        tr.getMiasto(), tr.getSztuk(), tr.getTowar()))
                .forEach(System.out::println);
    }

}
